Bug 1018857 - Note about not direct support nested transaction
Note about not direct support nested transaction
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: post-GA
: EAP 6.3.0
Assigned To: David Michael
Hayk Hovsepyan
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 10:26 EDT by Ondrej Chaloupka
Modified: 2014-11-23 18:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14875, Development Guide-6.2-1 Build Date: 02-10-2013 13:20:00 Topic ID: 4287-435148 [Latest]
Last Closed: 2014-11-23 18:17:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-10-14 10:26:47 EDT
Title: About Nested Transactions

Please add to the paragraph about nested transaction that setting transaction to use JTS does not mean that the EAP would use the nested transaction. As JTA - API which is used to communicate with TM - does not support nested transactions the EAP does not offer it directly. When user wants to use the nested transaction he needs to touch directly the Narayana ORB api.
Comment 2 Ondrej Chaloupka 2014-07-22 08:18:04 EDT
It does not seem that changes was done as it's mentioned in the comment.

I've read the section once more and more or less I agree with content but, please, add a sentence (or paragraph) which will say something like:
'Changing EAP6 configuration of transaction subsystem to use JTS does not mean that nested transaction will be used/activated. If you need to use them you have to directly use ORB api as JTA api does not provide any method to start nested transaction."
Comment 5 Hayk Hovsepyan 2014-09-22 05:07:38 EDT
Verified on Revision 6.3.0-31

Note You need to log in before you can comment on or make changes to this bug.